## org.gnu.gdk
Class DragProtocol

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.DragProtocol

public class DragProtocol
extends Enum

Field Summary
`static DragProtocol` `LOCAL`
`static DragProtocol` `MOTIF`
`static DragProtocol` `NONE`
`static DragProtocol` `OLE2`
`static DragProtocol` `ROOTWIN`
`static DragProtocol` `WIN32_DROPFILES`
`static DragProtocol` `XDND`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`DragProtocol` `and(DragProtocol other)`
`static DragProtocol` `intern(int value)`
`DragProtocol` `or(DragProtocol other)`
`boolean` `test(DragProtocol other)`
`DragProtocol` `xor(DragProtocol other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOTIF

    public static final DragProtocol MOTIF

### XDND

    public static final DragProtocol XDND

### ROOTWIN

    public static final DragProtocol ROOTWIN

### NONE

    public static final DragProtocol NONE

### WIN32_DROPFILES

    public static final DragProtocol WIN32_DROPFILES

### OLE2

    public static final DragProtocol OLE2

### LOCAL

    public static final DragProtocol LOCAL

Method Detail

### intern

    public static DragProtocol intern(int value)

### or

    public DragProtocol or(DragProtocol other)

### and

    public DragProtocol and(DragProtocol other)

### xor

    public DragProtocol xor(DragProtocol other)

### test

    public boolean test(DragProtocol other)